<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Dec 08 12:43:15 EET 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>U-Index</title>
<meta name="date" content="2018-12-08">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Y</a>&nbsp;<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#UniversitiesByCity-java.lang.String-">UniversitiesByCity(String)</a></span> - Method in class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>
<div class="block">University search method by city <code>University#address#city</code></div>
</dd>
<dt><a href="../com/Model/University.html" title="class in com.Model"><span class="typeNameLink">University</span></a> - Class in <a href="../com/Model/package-summary.html">com.Model</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#University-com.Model.University.Builder-">University(University.Builder)</a></span> - Constructor for class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>
<div class="block">Filling in University class fields</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#University-java.lang.String-com.Model.FullAddress-java.lang.String-com.Model.accreditationLevel-">University(String, FullAddress, String, accreditationLevel)</a></span> - Constructor for class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#University--">University()</a></span> - Constructor for class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#University-java.lang.String:A-">University(String[])</a></span> - Constructor for class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/Model/University.Builder.html" title="class in com.Model"><span class="typeNameLink">University.Builder</span></a> - Class in <a href="../com/Model/package-summary.html">com.Model</a></dt>
<dd>
<div class="block">Builder class containing field <b>name</b>,<b>address</b>,<b>yearOfEstablishment</b>,<b>level</b>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#UniversityByCityStream-java.lang.String-">UniversityByCityStream(String)</a></span> - Method in class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>
<div class="block">University search method by city <code>University#address#city</code>
 using Stream API</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#UniversityByLevel-com.Model.accreditationLevel-">UniversityByLevel(accreditationLevel)</a></span> - Method in class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>
<div class="block">University search method by accreditation level <a href="../com/Model/University.html#level"><code>University.level</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#UniversityByLevelStream-com.Model.accreditationLevel-">UniversityByLevelStream(accreditationLevel)</a></span> - Method in class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>
<div class="block">University search method by accreditation level <a href="../com/Model/University.html#level"><code>University.level</code></a>
 using Stream API</div>
</dd>
<dt><a href="../Serialize/UniversityList.html" title="class in Serialize"><span class="typeNameLink">UniversityList</span></a> - Class in <a href="../Serialize/package-summary.html">Serialize</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/UniversityList.html#UniversityList--">UniversityList()</a></span> - Constructor for class Serialize.<a href="../Serialize/UniversityList.html" title="class in Serialize">UniversityList</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/UniversityList.html#UniversityList-java.util.List-">UniversityList(List&lt;University&gt;)</a></span> - Constructor for class Serialize.<a href="../Serialize/UniversityList.html" title="class in Serialize">UniversityList</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/UniversityList.html#UniversityList-java.lang.String:A-">UniversityList(String[])</a></span> - Constructor for class Serialize.<a href="../Serialize/UniversityList.html" title="class in Serialize">UniversityList</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Database/UnivertsityDAO.html" title="class in Database"><span class="typeNameLink">UnivertsityDAO</span></a> - Class in <a href="../Database/package-summary.html">Database</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Database/UnivertsityDAO.html#UnivertsityDAO--">UnivertsityDAO()</a></span> - Constructor for class Database.<a href="../Database/UnivertsityDAO.html" title="class in Database">UnivertsityDAO</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
